<div class="perfil">

	<div class="back">
		<a routerLink="/ranking"><i class="fas fa-arrow-left"></i></a>
	</div>

	<div>
		<div>
			<div class="card" id="projetox">

				<div class="card-header">
					<h5>
						Projeto <span id="nome-projeto">{{ projeto?.Projeto }}</span>
					</h5>
				</div>

				<div class="card-body">
					<div class="card-text">

						<p>Protocolo: <span id="situacao">{{ projeto?.Protocolo }}</span></p>
						<p>Ensino: <span id="situacao">{{ projeto?.TipoAluno }}</span></p>
						<p>Situação: <span id="situacao">{{ projeto?.Situacao }}</span></p>

						<hr class="mb-4">
						
						<p>Nome: <span id="nome-aluno">{{ projeto?.Aluno }}</span></p>
						<p><span class="italic">E-mail</span>: <span id="email-aluno">{{ projeto?.Email }}</span></p>
						<p>Curso: <span id="numero-funcional">{{ projeto?.Curso }}</span></p>
						<p>RA: <span id="numero-funcional">{{ projeto?.Ra }}</span></p>
						<p>Submissão: <span id="data-submissao">{{projeto?.DataSubmissao | myDate | date:"dd/MM/yyyy"}}</span></p>

						<hr class="mb-4">

						<div class="group-info group-orientador">
							<p>
								Orientador(a): <span id="nome-orientador">{{ projeto?.Orientador }}</span>
							</p>
							<p><span class="italic">Email</span> Orientador(a): <span
									id="email-orientador">{{projeto?.EmailOrientador}}</span></p>
						</div>

					</div>

					<div class="group-button-card btn-group">

						<button [hidden]="historicoCarregado" class="btn btn-primary" type="button" disabled>
							<span class="spinner-grow spinner-grow-sm" role="status" aria-hidden="true"></span>
							&nbsp; Carregando histórico...
						</button>

						<fieldset [disabled]="bloqueioHistorico">
						<div [hidden]="!historicoCarregado">
							<a href="{{ aluno?.Historico }}" target="_blank" class="btn btn-primary">
								<i class="fas fa-file-download"></i>
								Histórico escolar
							</a>
						</div>
					</fieldset>

						<button id="modalResumo" type="button" class="btn btn-primary" data-toggle="modal"
							data-target="#resumo-projeto-modal">
							<i class="fas fa-tasks"></i>
							Projeto Pesquisa
						</button>

						<!-- Modal resumo projeto -->
						<div class="modal fade" id="resumo-projeto-modal" tabindex="-1" role="dialog"
							aria-hidden="true">
							<div class="modal-dialog" role="document">
								<div class="modal-content">
									<div class="modal-header">
										<h5 class="modal-title" id="exampleModalLongTitle">Projeto Pesquisa</h5>
										<button type="button" class="close" data-dismiss="modal" aria-label="Close">
											<span aria-hidden="true">&times;</span>
										</button>
									</div>
									<div class="modal-body" [innerHtml]="projeto?.Resumo"></div>
								</div>
							</div>
						</div>

						<a href="{{ baseUrl }}ProjetoPesquisa/RetornaPdf?ra={{ projeto?.Ra }}" class="btn btn-primary">
							<i class="fas fa-file-download"></i>
							Baixar PDF
						</a>

					</div>
				</div>
			</div>

			<div class="mb-3">
				<label for="avaliar">Justificativa do(a) Orientador(a)</label>
				<textarea [disabled]="bloqueioSetorPesquisa" class="form-control" id="avaliar" aria-label="avaliar"
					[readonly]>{{parecerOrientador}}</textarea>
			</div>

			<fieldset [disabled]="bloqueioSetorPesquisa">
				<label for="validar">Validado?</label>
				<div class="form-group form-inline">
					<div class="custom-control custom-radio">
						<input id="sim" type="radio" class="custom-control-input" [value]="true" required=""
							[checked]="projetoValidadoOrientador">
						<label class="custom-control-label" for="sim">Sim</label>
					</div>
					<div class="custom-control custom-radio">
						<input id="nao" type="radio" class="custom-control-input" [value]="false" required=""
							[checked]="!projetoValidadoOrientador">
						<label class="custom-control-label" for="nao">Não</label>
					</div>
				</div>
				<hr class="mb-4">
			</fieldset>

			<div *ngIf="projetoValidadoOrientador && !pareceristaInternoAssociado" class="escolher-parecerista">
				<div class="row">
					<div class="mb-3 col-md-5">
						<label for="avaliar">Escolher Parecerista Interno</label>

						<div class="input-group">
							<input [formControl]="funcionalParecerista" type="search" class="form-control"
								placeholder="pesquise o parecerista" aria-label="editar-orientador">
							<div class="input-group-append">
								<button (click)="retornarPareceristaInterno()" class="btn btn-pesquisa" type="button"
									id="pesquisar-orientador">
									<i class="fas fa-search"></i>
								</button>
								&nbsp;&nbsp;
							</div>
						</div>
						<span [hidden]="(pareceristaInterno?.Nome == undefined)">Nome: {{ pareceristaInterno?.Nome }}</span>
					</div>
				</div>
			</div>

			<div *ngIf="pareceristaInternoAssociado" class="parecerista">
				<div class="row">
					<div class="mb-3 col-md-5">
						<label for="avaliar">Parecerista Interno</label>
						<br>
						<p><span id="nome-parecerista-interno">{{ projeto?.NomePareceristaInterno }}</span></p>
					</div>
				</div>
				<hr class="mb-4">
			</div>

			<!-- Relatório do parecer depois de finalizado -->
			<fieldset *ngIf="parecerConcluido">
				<div class="group-info">
					<h2 class="title">Avaliação do Parecerista interno</h2>
					<span *ngFor="let parecer of lstParecerParecerista">
						<p>
							<span id="parecer-pergunta">{{parecer?.Pergunta}}</span>
						</p>
						<p>R: {{parecer?.Resposta}}</p>
					</span>
				</div>
				<hr class="mb-4">
			</fieldset>

			<form class="text-avaliacao" [formGroup]="formObsSetorPesquisa" (ngSubmit)="enviarComentario()">
				<div class="mb-3">
					<label for="avaliar">Observações sobre o projeto</label>&nbsp;&nbsp;
					<fieldset [disabled]="true">
					<textarea class="form-control" formControlName="obsSetorPesquisa" id="Observacao"
						aria-label="avaliar" autocomplete="off" type="text"></textarea></fieldset>
				</div>
			</form>
		</div>
	</div>
</div>